Bug 104060 - FILEOPEN DOCX: Writer don't show correctly text align Text when open DOCX
Summary: FILEOPEN DOCX: Writer don't show correctly text align Text when open DOCX
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.3.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2016-11-20 13:26 UTC by Camelot
Modified: 2018-06-27 10:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
EPUB and converted DOCX file (99.55 KB, application/zip)
2016-11-20 13:26 UTC, Camelot
Details
Re-Aligned with Libreoffice (52.20 KB, application/zip)
2016-11-20 19:09 UTC, MM
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Camelot 2016-11-20 13:26:02 UTC
Created attachment 128886 [details]
EPUB and converted DOCX file

With the program Calibre i have converted a *.EPUB file to *.DOCX.
When open this DOCX some text with center/right alignment the LO Writer show this as left alignment.

OpenOffice and MS Word show this correct.

The author from Calibre means thats a LibreOffice bug.
http://www.mobileread.com/forums/showthread.php?p=3144959#post3144959


I attachment the EPUB and converted DOCX includes screenshot.

OS: Linux, Siduction (Debian/sid)
Comment 1 MM 2016-11-20 19:07:42 UTC
Confirmed with v5.2.3.3 under ubuntu 16.04 x64.
I aligned center & right and saved as docx and compared. 

The right align (for example) [<w:jc w:val="right"/>] is in the original in styles.xml. In the LO saved one it's in document.xml.
Comment 2 MM 2016-11-20 19:09:06 UTC
Created attachment 128892 [details]
Re-Aligned with Libreoffice
Comment 3 MM 2016-11-20 19:21:19 UTC
If you open the old and the new file with wordpad, it doesn't seems to make any difference. Wordpad seems the read the aligns from both style.xml and/or document.xml just fine.
Comment 4 QA Administrators 2018-06-26 02:43:34 UTC Comment hidden (obsolete)
Comment 5 Camelot 2018-06-26 15:13:32 UTC
This bug ist fixed in LO 6.0.5.2
Comment 6 Xisco Faulí 2018-06-27 10:20:32 UTC
Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.